PUT /api/synthetics/params/{id}

Spaces method and path for this operation:

put /s/{space_id}/api/synthetics/params/{id}

Refer to Spaces for more information.

Update a parameter in the Synthetics app.

You must have all privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.

[Required authorization] Route required privileges: uptime-read AND uptime-write.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • id string Required

    The unique identifier for the parameter.

    Minimum length is 1, maximum length is 1024.

application/json

Body

  • description string

    The updated description of the parameter.

    Maximum length is 4096.

  • key string

    The key of the parameter.

    Minimum length is 1, maximum length is 1024.

  • tags array[string]

    An array of updated tags to categorize the parameter.

    Not more than 100 elements. Maximum length of each is 256.

  • value string

    The updated value associated with the parameter.

    Minimum length is 1, maximum length is 1000000.

Responses

  • 200 application/json

    A successful response.

    Hide response attributes Show response attributes object
    • description string

      The description of the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.

    • id string

      The unique identifier of the parameter.

    • key string

      The key of the parameter.

    • namespaces array[string]

      The namespaces associated with the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.

    • tags array[string]

      An array of tags associated with the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.

    • value string

      The value associated with the parameter. It will be included in the response if the user has write permissions.

  • 400

    The request body is empty.

  • 404

    The parameter does not exist.

PUT /api/synthetics/params/{id}
curl \
  -X PUT "${KIBANA_URL}/api/synthetics/params/param-id" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{"key":"updated_param_key","value":"updated-param-value","description":"Updated Param to be used in browser monitor","tags":["authentication","security","updated"]}'
PUT kbn://api/synthetics/params/param-id
{"key":"updated_param_key","value":"updated-param-value","description":"Updated Param to be used in browser monitor","tags":["authentication","security","updated"]}
Request example
{
  "description": "Updated Param to be used in browser monitor",
  "key": "updated_param_key",
  "tags": [
    "authentication",
    "security",
    "updated"
  ],
  "value": "updated-param-value"
}
Response examples (200)
{
  "description": "Updated Param to be used in browser monitor",
  "id": "param_id1",
  "key": "updated_param_key",
  "tags": [
    "authentication",
    "security",
    "updated"
  ],
  "value": "updated-param-value"
}